# EclipseWtpPlugin

abstract class EclipseWtpPlugin : IdePlugin

A plugin which configures the Eclipse Web Tools Platform.

#### See also

<a href="https://docs.gradle.org/current/userguide/eclipse_plugin.html">Eclipse plugin reference</a>

## Constructors

EclipseWtpPlugin
Link copied to clipboard
@Inject
constructor(instantiator: Instantiator)

## Properties

ECLIPSE_WTP_COMPONENT_TASK_NAME
Link copied to clipboard
val ECLIPSE_WTP_COMPONENT_TASK_NAME: String = "eclipseWtpComponent"
ECLIPSE_WTP_FACET_TASK_NAME
Link copied to clipboard
val ECLIPSE_WTP_FACET_TASK_NAME: String = "eclipseWtpFacet"
instantiator
Link copied to clipboard
val instantiator: Instantiator
WEB_LIBS_CONTAINER
Link copied to clipboard
val WEB_LIBS_CONTAINER: String = "org.eclipse.jst.j2ee.internal.web.container"

## Functions

addWorker
Link copied to clipboard
open fun addWorker(worker: Task)
apply
Link copied to clipboard
open fun apply(target: Project)
getCleanTask
Link copied to clipboard
open fun getCleanTask(): TaskProvider<out Task>
getLifecycleTask
Link copied to clipboard
open fun getLifecycleTask(): TaskProvider<out Task>
isRoot
Link copied to clipboard
open fun isRoot(): Boolean
toGradleCommand
Link copied to clipboard
open fun toGradleCommand(project: Project): String